Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Alles rund um das Thema Multimedia unter Linux

Moderator: Moderatoren

Heart
Hacker
Hacker
Beiträge: 449
Registriert: 10. Jul 2004, 14:37

digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Heart » 7. Okt 2011, 11:42

Hi,

gestern flatterte ein digikam update über zypper rein und nun startet es nicht mehr :???:

~> digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam: symbol lookup error: digikam: undefined symbol: _ZN4KIPI21ImageCollectionSharedD2Ev


Hat jemand das selbe Problem? Bzw. wie kann ich das lösen?

Danke

Code: Alles auswählen

~> zypper se -s digikam
Daten des Repositorys laden ...
Installierte Pakete lesen ...

S | Name                           | Typ        | Version     | Arch   | Repository       
--+--------------------------------+------------+-------------+--------+------------------
i | digikam                        | Paket      | 2.2.0-14.2  | i586   | KDE:UpdatedApps  
v | digikam                        | Paket      | 1.8.0-4.4   | i586   | openSUSE-11.4-Oss
  | digikam                        | Quellpaket | 2.2.0-14.2  | noarch | KDE:UpdatedApps  
  | digikam-debuginfo              | Paket      | 2.2.0-14.2  | i586   | KDE:UpdatedApps  
  | digikam-debugsource            | Paket      | 2.2.0-14.2  | i586   | KDE:UpdatedApps  
  | digikam-devel                  | Paket      | 1.8.0-4.4   | i586   | openSUSE-11.4-Oss
i | digikam-doc                    | Paket      | 2.2.0-14.2  | noarch | KDE:UpdatedApps  
v | digikam-doc                    | Paket      | 1.8.0-4.4   | i586   | openSUSE-11.4-Oss
i | digikam-lang                   | Paket      | 2.2.0-14.2  | noarch | KDE:UpdatedApps  
v | digikam-lang                   | Paket      | 1.8.0-4.4   | noarch | openSUSE-11.4-Oss
  | digikam-sharedlibs             | Quellpaket | 4.4.5-505.1 | noarch | KDE:UpdatedApps  
  | digikam-sharedlibs-debugsource | Paket      | 4.4.5-505.1 | i586   | KDE:UpdatedApps
Desktop 10/2012

Werbung:
admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 7. Okt 2011, 11:53

Bei mir gleiches Problem seit dem Update :(

Code: Alles auswählen

QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam: symbol lookup error: digikam: undefined symbol: _ZN11KExiv2Iface14AltLangStrEdit15setLinesVisibleEj
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Benutzeravatar
misiu
Moderator
Moderator
Beiträge: 3998
Registriert: 8. Mär 2004, 11:27
Wohnort: bei Schweinfurt

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von misiu » 7. Okt 2011, 13:04

Habt ihr schon die "alte" Methode versucht, d.h. die Datenbankdatei und die Konfigurationsdatei umzubenennen, dann sind zwar die Einstellungen
futsch, aber möglicherweise geht es dann wieder?

MfG
misiu

dietger
Hacker
Hacker
Beiträge: 626
Registriert: 17. Okt 2005, 10:27

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von dietger » 7. Okt 2011, 14:19

Heute kam bei wieder ein Update rein, Digikam funktioniert bei mir einwandfrei.
Hatte allerdings nach dem gestrigen Update Digikam noch nicht gestartet.


Dietger

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 7. Okt 2011, 14:32

dietger hat geschrieben:Heute kam bei wieder ein Update rein, Digikam funktioniert bei mir einwandfrei.
Hatte allerdings nach dem gestrigen Update Digikam noch nicht gestartet.
Bei mir heute kein Update ... aus welchem Repo kam das?

Bei mir ist installiert:

Code: Alles auswählen

rpm -qa | grep digikam
digikam-lang-2.2.0-14.2.noarch
digikam-2.2.0-14.2.x86_64
digikam-doc-2.2.0-14.2.noarch
aus:

Code: Alles auswählen

cat /var/log/zypp/history | grep digikam
.
2011-10-06 10:45:21|install|digikam-doc|2.2.0-14.2|noarch||openSUSE_BuildService_-_KDE:UpdatedApps|f3fcd9f6e16c38f336f4420f804bd85f47a48ca64963d4b72b8f2fe7fc2606ec
2011-10-06 10:49:02|install|digikam|2.2.0-14.2|x86_64||openSUSE_BuildService_-_KDE:UpdatedApps|3d5b033f8c1a9799f2d53f74729d70c16a7cc0f022d54bfa7a11f10756b64e54
2011-10-06 10:49:08|install|digikam-lang|2.2.0-14.2|noarch||openSUSE_BuildService_-_KDE:UpdatedApps|70c86e9053a9f42e2d20d35745401f75762d19ce148552346661e6e987ff7f06
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

dietger
Hacker
Hacker
Beiträge: 626
Registriert: 17. Okt 2005, 10:27

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von dietger » 7. Okt 2011, 21:52

Aus diesem Repo: http://download.opensuse.org/repositori ... nSUSE_11.4
Das ist das Repo für KDE 4.7.2.

Bei mir ist nun installiert:

Code: Alles auswählen

dietger@linux-Stahlsberg:~> rpm -qa | grep digikam
digikam-doc-2.1.0-2.11.noarch
digikam-lang-2.1.0-2.11.noarch
digikam-2.1.0-2.11.i586

Dietger

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 8. Okt 2011, 10:00

dietger hat geschrieben:Das ist das Repo für KDE 4.7.2.
Ich bin noch bei KDE 4.6.0 und will das jetzt auch nicht ändern.
misiu hat geschrieben:Habt ihr schon die "alte" Methode versucht, d.h. die Datenbankdatei und die Konfigurationsdatei umzubenennen
Wo genau find ich die?
Testen würd ich's ja mal.
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Ganymed » 8. Okt 2011, 15:54

Hier ist aber auch ein dicker fetter und in der Konsole nicht dokumentierter Wurm drinnen.

Code: Alles auswählen

p5:~ # zypper se -si digikam
Loading repository data...
Reading installed packages...

S | Name         | Type    | Version    | Arch   | Repository   
--+--------------+---------+------------+--------+--------------
i | digikam      | package | 2.1.0-2.11 | x86_64 | KDE-Release47
i | digikam-doc  | package | 2.1.0-2.11 | noarch | KDE-Release47
i | digikam-lang | package | 2.1.0-2.11 | noarch | KDE-Release47
Digikam reagiert z.Z. ausgesprochen träge.
Die Antwortzeit in der Raw-Bearbeitung hat sich fast verzehnfacht.
Beispiel, eine einfache Schärfung nach Unscharfmaskieren, welche vorher nahezu sofort, max 0.5 s, nach der Aktualisieren-Anweisung vollzogen war, dauert jetzt etwa 3 bis 5 s.

Auf der Hompage finde ich auch keine Lösung - es scheint ein Anpassungsproblem an die openSuse oder openSuse/QT zu geben - wie auch die unzuverlässige Funktion mit EOS-Kameras an USB.
Na ja, es kommen sicher wieder bessere Zeiten, :???: und Digikam < 2.x möchte ich jetzt auch nicht mehr haben. :D

Gruß Ganymed
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

Haegar
Member
Member
Beiträge: 74
Registriert: 11. Nov 2006, 12:21

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Haegar » 9. Okt 2011, 16:15

Also bei mir startet Digikam seit dem letzten Update auch nicht mehr mit der Fehlermeldung:

Code: Alles auswählen

digikam: symbol lookup error: digikam: undefined symbol: _ZN11KExiv2Iface14AltLangStrEdit15setLinesVisibleEj
Installiert ist bei mir die folgende Version:

Code: Alles auswählen

Qt: 4.7.4
KDE: 4.7.2 (4.7.2) "release 9"
digiKam: 2.2.0
Ich habe bis jetzt noch nicht die Datenbank- und Konfigurationsdateien umbenannt. Ich denke das kann doch keine Lösung sein nach JEDEM Update von Digikam alle seine Einstellungen zu verlieren. Ich kann mich lebhaft an mindestens 4(!) Updates von Digikam erinnern, nachdem Digikam ohne weitere Meldung einfach nicht mehr gestartet ist.
Die Qualität diesbezügluch lässt deutlich zu wünschen übrig.

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Ganymed » 9. Okt 2011, 17:55

Code: Alles auswählen

p5:~ # zypper se -si kipi-plugins digikam
Loading repository data...
Reading installed packages...

S | Name                      | Type    | Version   | Arch   | Repository   
--+---------------------------+---------+-----------+--------+--------------
i | digikam                   | package | 2.2.0-3.1 | x86_64 | KDE-Release47
i | digikam-doc               | package | 2.2.0-3.1 | noarch | KDE-Release47
i | digikam-lang              | package | 2.2.0-3.1 | noarch | KDE-Release47
i | kipi-plugins              | package | 2.2.0-3.1 | x86_64 | KDE-Release47
i | kipi-plugins-acquireimage | package | 2.2.0-3.1 | x86_64 | KDE-Release47
i | kipi-plugins-geolocation  | package | 2.2.0-3.1 | x86_64 | KDE-Release47
i | kipi-plugins-lang         | package | 2.2.0-3.1 | noarch | KDE-Release47
p5:~ # 
Hi,
nach dem Update auf o.g. Version funktioniert die Schnittstelle zum Rawkonverter "gefühlt" besser.
Das Herunterladen der Bilder von den per USB angeschlossenen EOS-Geräten führt immer noch zur Darstellung des Crash Handlers.

Sollen die Bilder unbedingt durch eine Kamera - PC - Verbindung geladen werden, könnte ich Gwenview empfehlen.

Code: Alles auswählen

p5:~ # zypper se -si gwenview
Loading repository data...
Reading installed packages...

S | Name     | Type    | Version   | Arch   | Repository   
--+----------+---------+-----------+--------+--------------
i | gwenview | package | 4.7.2-3.2 | x86_64 | KDE-Release47
i | gwenview | patch   | 5093      | noarch | Update       
p5:~ # 
Gruß Ganymed
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

Benutzeravatar
misiu
Moderator
Moderator
Beiträge: 3998
Registriert: 8. Mär 2004, 11:27
Wohnort: bei Schweinfurt

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von misiu » 10. Okt 2011, 10:32

admine hat geschrieben:
dietger hat geschrieben:Das ist das Repo für KDE 4.7.2.
Ich bin noch bei KDE 4.6.0 und will das jetzt auch nicht ändern.
misiu hat geschrieben:Habt ihr schon die "alte" Methode versucht, d.h. die Datenbankdatei und die Konfigurationsdatei umzubenennen
Wo genau find ich die?
Testen würd ich's ja mal.
Die "digikam4.db" ist in dem Verzeichnis "Pictures" (falls bei der Installation nicht geändert), und die Konfigurationsdatei in
/home/Benutzer/.kde4/share/config/digikamrc.

Sonst sollten auch noch , wie die Jungs schon vermerkt haben, die Kipi-Plugins auf dem selbem Stand, wie Digikam selbst sein.

MfG
misiu

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 10. Okt 2011, 15:37

misiu hat geschrieben: Die "digikam4.db" ist in dem Verzeichnis "Pictures" (falls bei der Installation nicht geändert), und die Konfigurationsdatei in
/home/Benutzer/.kde4/share/config/digikamrc.
Hat nichts gebracht.
Digikam startet mit selber Fehlermeldung nicht.
misiu hat geschrieben: Sonst sollten auch noch , wie die Jungs schon vermerkt haben, die Kipi-Plugins auf dem selbem Stand, wie Digikam selbst sein.
Das sieht so aus:

Code: Alles auswählen

zypper se -si kipi-plugins digikam
Daten des Repositorys laden ...
Installierte Pakete lesen ...

S | Name                     | Typ   | Version    | Arch   | Repository                             
--+--------------------------+-------+------------+--------+----------------------------------------
i | digikam                  | Paket | 2.2.0-14.2 | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | digikam-doc              | Paket | 2.2.0-14.2 | noarch | openSUSE BuildService - KDE:UpdatedApps
i | digikam-lang             | Paket | 2.2.0-14.2 | noarch | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins             | Paket | 2.2.0-13.1 | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-geolocation | Paket | 2.2.0-13.1 | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-lang        | Paket | 2.2.0-13.1 | noarch | openSUSE BuildService - KDE:UpdatedApps
Ist jetzt nicht 100%ig die gleiche Version. Sollte das, das Problem sein? :???:
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Heart
Hacker
Hacker
Beiträge: 449
Registriert: 10. Jul 2004, 14:37

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Heart » 10. Okt 2011, 16:11

Ich war so frei und hab einen Bugreport (#283708) aufgemacht :???: :/

edit: Und eine Mail an opensuse-kde@opensuse.org auch gleich geschickt!

Ob das Problem bei libkipi8 liegt? Wurde evtl vergessen, dieses Paket mit upzudaten beim KDE:UpdatedApps Repo Maintainer? :???:
Desktop 10/2012

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Ganymed » 10. Okt 2011, 19:02

Nach Hearts Bugreport wird auf einen Packfehler getippt - wenn ich das richtig übersetzt habe. :ops:
Daher gebe ich hier mal die Quellenkonfiguration an, aus welcher ich ein, bis auf unwesentliche Kleinigkeiten, ein sehr gut laufendes System warte.

Code: Alles auswählen

p5:~ # zypper lr -uP
#  | Alias                                     | Name                       | Enabled | Refresh | Priority | URI                                                                                  
---+-------------------------------------------+----------------------------+---------+---------+----------+--------------------------------------------------------------------------------------
10 | gwdg_-_ftp_Packman                        | gwdg - ftp Packman         | Yes     | Yes     |   30     | ftp://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_11.4/                         
 3 | KDE-Release47                             | KDE-Release47              | Yes     | Yes     |   35     | http://download.opensuse.org/repositories/KDE:/Release:/47/openSUSE_11.4/            
 4 | KDE-Release47-Extra                       | KDE-Release47-Extra        | Yes     | Yes     |   40     | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_47_openSUSE_11.4/   
 2 | Color-Management                          | Color-Management           | Yes     | Yes     |   50     | http://download.opensuse.org/repositories/multimedia:/color_management/openSUSE_11.4/
 5 | Printing                                  | Printing                   | Yes     | Yes     |   50     | http://download.opensuse.org/repositories/Printing/openSUSE_11.4/                    
 6 | Virtualbox                                | Virtualbox                 | Yes     | Yes     |   50     | http://download.virtualbox.org/virtualbox/rpm/opensuse/11.4/                         
 8 | download.opensuse.org-Stable              | LibreOffice                | Yes     | Yes     |   50     | http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_11.4/         
 9 | download.opensuse.org-mozilla             | Mozilla                    | Yes     | Yes     |   50     | http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/                     
11 | photo                                     | photo                      | Yes     | Yes     |   50     | http://download.opensuse.org/repositories/multimedia:/photo/openSUSE_11.4/           
 7 | akt._Kernel:/stable/standard/             | akt. Kernel                | Yes     | Yes     |   60     | http://download.opensuse.org/repositories/Kernel:/stable/standard/                   
 1 | Aktualisierungen-für-openSUSE-11.4-11.4-0 | Update                     | Yes     | Yes     |   95     | http://download.opensuse.org/update/11.4/                                            
14 | repo-non-oss                              | Non-Oss                    | Yes     | Yes     |   98     | http://download.opensuse.org/distribution/11.4/repo/non-oss/                         
15 | repo-oss                                  | Oss                        | Yes     | Yes     |   98     | http://download.opensuse.org/distribution/11.4/repo/oss/                             
12 | repo-debug                                | openSUSE-11.4-Debug        | No      | Yes     |   99     | http://download.opensuse.org/debug/distribution/11.4/repo/oss/                       
13 | repo-debug-update                         | openSUSE-11.4-Update-Debug | No      | Yes     |   99     | http://download.opensuse.org/debug/update/11.4/                                      
16 | repo-source                               | openSUSE-11.4-Source       | No      | Yes     |   99     | http://download.opensuse.org/source/distribution/11.4/repo/oss/                      
p5:~ # 
Im Moment scheinen in den Updatet Apps wohl ein paar Würmer zu sein :???:

Vielleicht hilft es Euch
Gruß Ganymed

Edit: Hier scheint es auch keinen Reparaturbedarf zu geben.

Code: Alles auswählen

p5:~ # zypper -v up digikam kipi-plugins
Verbosity: 1
Non-option program arguments: 'digikam' 'kipi-plugins' 
Initializing Target
Checking whether to refresh metadata for Update
Checking whether to refresh metadata for Color-Management
Checking whether to refresh metadata for KDE-Release47
Checking whether to refresh metadata for KDE-Release47-Extra
Checking whether to refresh metadata for Printing
Checking whether to refresh metadata for Virtualbox
Checking whether to refresh metadata for akt. Kernel
Checking whether to refresh metadata for LibreOffice
Checking whether to refresh metadata for Mozilla
Checking whether to refresh metadata for gwdg - ftp Packman
Checking whether to refresh metadata for photo
Checking whether to refresh metadata for Non-Oss
Checking whether to refresh metadata for Oss
Loading repository data...
Reading installed packages...
Force resolution: No
No update candidate for 'kipi-plugins-2.2.0-3.1.x86_64'. The highest available version is already installed.
No update candidate for 'digikam-2.2.0-3.1.x86_64'. The highest available version is already installed.
Resolving package dependencies...
Force resolution: No

Nothing to do.
p5:~ # 
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 10. Okt 2011, 19:27

Ich installiere mir aber wegen "Digikam" kein KDE 4.7 ... das kanns ja wohl nicht sein ;)

Allerdings finde ich auch nicht das:
One way to avoid these sort of issues going forward is to use 'zypper dup --
from <kua>' when updating, or to use "switch packages in this repository..."
in the YaST repositories view.
Welches Repo soll das sein? :???:
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 10. Okt 2011, 21:49

Jetzt gab es etwas Neues im Repo "openSUSE BuildService - KDE:UpdatedApps"
Installiert ist nun:

Code: Alles auswählen

zypper se -is kipi digikam
Daten des Repositorys laden ...
Installierte Pakete lesen ...

S | Name                      | Typ   | Version      | Arch   | Repository                             
--+---------------------------+-------+--------------+--------+----------------------------------------
i | digikam                   | Paket | 2.2.0-16.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | digikam-doc               | Paket | 2.2.0-16.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | digikam-lang              | Paket | 2.2.0-16.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins              | Paket | 2.2.0-13.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-acquireimage | Paket | 2.2.0-13.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-geolocation  | Paket | 2.2.0-13.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-lang         | Paket | 2.2.0-13.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | libkipi8                  | Paket | 4.6.25-500.1 | x86_64 | openSUSE BuildService - KDE:UpdatedApps
und Digikam startet wieder :)

Die Meldung, dass gwenview-4.6.0-6.11.1.x86_64 die libkipi8 = 4.6.0 benötigt, kann ignoriert werden ... Gwenview startet (mehr hab ich noch nicht getestet) trotzdem.
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Ganymed » 10. Okt 2011, 22:04

Code: Alles auswählen

Passwort: 
a7:~ # kde4-config --version
Qt: 4.7.1
KDE Development Platform: 4.6.00 (4.6.0)
kde4-config: 1.0
a7:~ # zypper lr -uP
#  | Alias                                     | Name                                      | Enabled | Refresh | Priority | URI                                                                         
---+-------------------------------------------+-------------------------------------------+---------+---------+----------+-----------------------------------------------------------------------------
 7 | packman.inode.at-suse                     | Packman Repository                        | Yes     | Yes     |   30     | http://packman.inode.at/suse/openSUSE_11.4/                                 
 4 | KDE:/UpdatedApps/openSUSE_11.4/           | KDE:/UpdatedApps/openSUSE_11.4/           | Yes     | Yes     |   35     | http://download.opensuse.org/repositories/KDE:/UpdatedApps/openSUSE_11.4/   
 2 | KDE:/Distro:/Stable/openSUSE_11.4/        | KDE:/Distro:/Stable/openSUSE_11.4/        | Yes     | Yes     |   40     | http://download.opensuse.org/repositories/KDE:/Distro:/Stable/openSUSE_11.4/
 3 | KDE:/Extra/openSUSE_11.4/                 | KDE:/Extra/openSUSE_11.4/                 | Yes     | Yes     |   45     | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.4/         
 6 | download.opensuse.org-mozilla             | openSUSE BuildService - Mozilla           | Yes     | Yes     |   60     | http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/            
 5 | download.nvidia.com-opensuse              | nVidia Graphics Drivers                   | Yes     | Yes     |   90     | ftp://download.nvidia.com/opensuse/11.4/                                    
 1 | Aktualisierungen-für-openSUSE-11.4-11.4-0 | Aktualisierungen für openSUSE 11.4 11.4-0 | Yes     | Yes     |   99     | http://download.opensuse.org/update/11.4/                                   
 8 | repo-debug                                | openSUSE-11.4-Debug                       | No      | Yes     |   99     | http://download.opensuse.org/debug/distribution/11.4/repo/oss/              
 9 | repo-debug-update                         | openSUSE-11.4-Update-Debug                | No      | Yes     |   99     | http://download.opensuse.org/debug/update/11.4/                             
10 | repo-non-oss                              | openSUSE-11.4-Non-Oss                     | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/11.4/repo/non-oss/                
11 | repo-oss                                  | openSUSE-11.4-Oss                         | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/11.4/repo/oss/                    
12 | repo-source                               | openSUSE-11.4-Source                      | No      | Yes     |   99     | http://download.opensuse.org/source/distribution/11.4/repo/oss/             
a7:~ # zypper se -si digikam kipi-plugins
Retrieving repository 'KDE:/UpdatedApps/openSUSE_11.4/' metadata [done]
Building repository 'KDE:/UpdatedApps/openSUSE_11.4/' cache [done]
Loading repository data...
Reading installed packages...

S | Name                      | Type    | Version    | Arch   | Repository                     
--+---------------------------+---------+------------+--------+--------------------------------
i | digikam                   | package | 2.2.0-14.2 | i586   | (System Packages)              
i | digikam-doc               | package | 2.2.0-16.1 | noarch | KDE:/UpdatedApps/openSUSE_11.4/
i | digikam-lang              | package | 2.2.0-16.1 | noarch | KDE:/UpdatedApps/openSUSE_11.4/
i | kipi-plugins              | package | 2.2.0-13.1 | i586   | KDE:/UpdatedApps/openSUSE_11.4/
i | kipi-plugins-acquireimage | package | 2.2.0-13.1 | i586   | KDE:/UpdatedApps/openSUSE_11.4/
i | kipi-plugins-geolocation  | package | 2.2.0-13.1 | i586   | KDE:/UpdatedApps/openSUSE_11.4/
i | kipi-plugins-lang         | package | 2.2.0-13.1 | noarch | KDE:/UpdatedApps/openSUSE_11.4/
a7:~ # 
Diese Update habe ich vor etwa 20 Minuten in eine alten 3,2GHz Barton eingespielt.
Die vorgängerversion crashte bei mir genau so sang und klanglos wie bei Euch.
Die oben angeführte Version importierte aus einem Archiv vollig problemlos über 60000 Fotos incl SQL aus 94 Verzeichnissen.
Beide RAW-Konverter sind einsetzbar.
Die GEO-Kipis laufen nicht ganz rund.

Vielleicht hilft es, obwohl ich nicht ganz verstehe, was solche erfahrenen Leute wie Admine gegen KDE 4.7.2 haben - obwohl es meine Bastelbox ist, läuft sie sehr gut.

Gruß Ganymed
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Ganymed » 10. Okt 2011, 22:20

Donnerwetter, da ist jetzt richtig Bewegung in den Repos.
bei mir sieht es in der 32 bit Version genauso aus wie bei Admine.
und die Geo_kipis funktionieren auch wieder :???: :???:

Gruß Ganymed
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

admine
Administrator
Administrator
Beiträge: 8864
Registriert: 15. Feb 2004, 21:13
Kontaktdaten:

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von admine » 11. Okt 2011, 07:49

Seltsam ist aber, dass Digikam an meinem Büro-Laptop immer noch spinnt.

Code: Alles auswählen

zypper se -is kipi digikam
Daten des Repositorys laden ...
Installierte Pakete lesen ...

S | Name                     | Typ   | Version      | Arch   | Repository                             
--+--------------------------+-------+--------------+--------+----------------------------------------
i | digikam                  | Paket | 2.2.0-16.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | digikam-doc              | Paket | 2.2.0-16.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | digikam-lang             | Paket | 2.2.0-16.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins             | Paket | 2.2.0-13.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-geolocation | Paket | 2.2.0-13.1   | x86_64 | openSUSE BuildService - KDE:UpdatedApps
i | kipi-plugins-lang        | Paket | 2.2.0-13.1   | noarch | openSUSE BuildService - KDE:UpdatedApps
i | libkipi8                 | Paket | 4.6.25-500.1 | x86_64 | openSUSE BuildService - KDE:UpdatedApps

Code: Alles auswählen

laptop:~> digikam 
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam: symbol lookup error: digikam: undefined symbol: _ZN11KExiv2Iface14AltLangStrEdit15setLinesVisibleEj
/var/log/zypp/history

Code: Alles auswählen

2011-10-11 07:40:59|install|digikam-lang|2.2.0-16.1|noarch||openSUSE_BuildService_-_KDE:UpdatedApps|4107c5d448c849e70efdd332d13ece8da05bbd29c0983b433e560ba31cf832c8
2011-10-11 07:41:02|install|digikam-doc|2.2.0-16.1|noarch||openSUSE_BuildService_-_KDE:UpdatedApps|7e89fc40a1765622912d78b89e3d07824e2e7999bd0d3f3a83f53dab4673a161
2011-10-11 07:42:51|install|libkipi8|4.6.25-500.1|x86_64|root@lvwadm2|openSUSE_BuildService_-_KDE:UpdatedApps|6ebe73f4f6529e79c34192ebd986874e222590f1942e01f801c26f61821ad119
2011-10-11 07:42:55|install|digikam|2.2.0-16.1|x86_64|root@lvwadm2|openSUSE_BuildService_-_KDE:UpdatedApps|509385418e3166759bce4a06d469b41f8813f555b84d7ef85496c4732abddc0e

Code: Alles auswählen

zypper lr -up
#  | Alias                                   | Name                                    | Aktiviert | Aktualisieren | Priorität | URI                                                                               
---+-----------------------------------------+-----------------------------------------+-----------+---------------+-----------+-----------------------------------------------------------------------------------
 1 | Aktualisierungen_für_openSUSE_11.4      | Aktualisierungen für openSUSE 11.4      | Ja        | Ja            |   30      | http://download.opensuse.org/update/11.4/                                         
 2 | Hardware_1                              | Hardware                                | Ja        | Ja            |   50      | http://download.opensuse.org/repositories/hardware/openSUSE_11.4/                 
 3 | KDE_4_6_2                               | KDE_4_6                                 | Ja        | Ja            |   30      | http://download.opensuse.org/repositories/KDE:/Release:/46/openSUSE_11.4          
 4 | KDE_4_6_2_Extra                         | KDE_4_6_Extra                           | Nein      | Nein          |   30      | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_46_openSUSE_11.4/
 5 | LibreOffice_1                           | LibreOffice                             | Ja        | Ja            |   30      | http://download.opensuse.org/repositories/LibreOffice%3a/Unstable/openSUSE_11.4/  
 6 | Packman_Repository                      | Packman Repository                      | Ja        | Ja            |   20      | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/11.4/                         
 7 | google-chrome                           | google-chrome                           | Ja        | Ja            |   99      | http://dl.google.com/linux/chrome/rpm/stable/x86_64                               
 8 | nvidia_1                                | nvidia                                  | Ja        | Ja            |   50      | http://download.nvidia.com/opensuse/11.4                                          
 9 | openSUSE-11.3-Non-Oss                   | openSUSE-11.3-Non-Oss                   | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/11.4/repo/non-oss/                      
10 | openSUSE-11.3-Oss                       | openSUSE-11.3-Oss                       | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/11.4/repo/oss/                          
11 | openSUSE_BuildService_-_KDE:Extra       | openSUSE BuildService - KDE:Extra       | Ja        | Ja            |   30      | http://download.opensuse.org/repositories/KDE%3a/Extra/openSUSE_11.4/             
12 | openSUSE_BuildService_-_KDE:UpdatedApps | openSUSE BuildService - KDE:UpdatedApps | Ja        | Ja            |   30      | http://download.opensuse.org/repositories/KDE%3a/UpdatedApps/openSUSE_11.4/       
13 | openSUSE_BuildService_-_Mozilla         | openSUSE BuildService - Mozilla         | Ja        | Ja            |   20      | http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/                  
14 | virtualbox_1                            | virtualbox                              | Ja        | Ja            |   30      | http://download.virtualbox.org/virtualbox/rpm/opensuse/11.4/
Hm ... löschen von DB und Config hat nichts gebracht, hat noch jemand eine Idee?
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Heart
Hacker
Hacker
Beiträge: 449
Registriert: 10. Jul 2004, 14:37

Re: digikam startet nach Update auf v2.2.0-14.2 nicht mehr

Beitrag von Heart » 11. Okt 2011, 08:45

@admine

Hab jetzt auch deine oben gezeigten Versionen (gwenview Abhängigkeit dabei ignoriert) und nun funktioniert es wieder!

Zu Deinem Problem. libkexiv2-10 hat die selbe Versionsnr. wie libkipi8 und ist aus dem KDE:UpdatedApps Repo?
Desktop 10/2012

Antworten